- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TBaseActiveControl

    TComponent
       |
       --TBaseActiveControl

#### Direct Known Sub-classes:

TBaseActiveCallbackControl

TBaseActiveControl class provided additional basic property for every active control. An instance of TBaseActiveControl or its decendent TBaseActiveCallbackControl is created by TActiveControlAdapter::getBaseActiveControl() method.

The EnableUpdate property determines wether the active control is allowed to update the contents of the client-side when the callback response returns.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gamil[dot]com>

Constructor Summary
public | __construct Array Constructor. Attach a base active control to an active control instance.

Method Summary
boolean | canUpdateClientSide () Returns true if callback response is allowed to update the browser contents.
protected TControl | getControl ()
boolean | getEnableUpdate ()
protected mixed | getOption ( string $name, mixed $default) Gets an option named value. Options are used to store and retrive named values for the base active controls.
protected TMap | getOptions ()
protected TPage | getPage ()
void | setEnableUpdate ( boolean $value)
protected mixed | setOption ( string $name, mixed $value, mixed $default) Sets a named options with a value. Options are used to store and retrive named values for the base active controls.

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor. Attach a base active control to an active control instance.

Method Details

## canUpdateClientSide

public boolean canUpdateClientSide | ()

Returns true if callback response is allowed to update the browser contents.

Is is true if the control is initilized, and is a callback request and the EnabledUpdate property is true and the page is not loading post data.

Output
boolean | true if the callback response is allowed update client-side contents.
Exception

## getControl

protected TControl getControl | ()

Output
TControl | the attached control.
Exception

## getEnableUpdate

public boolean getEnableUpdate | ()

Output
boolean | true to allow fine grain callback updates.
Exception

## getOption

protected mixed getOption | (string $name , mixed $default )

Gets an option named value. Options are used to store and retrive named values for the base active controls.

Input
string | $name | option name.
mixed | $default | default value.
Output
mixed | options value.
Exception

## getOptions

protected TMap getOptions | ()

Output
TMap | active control options
Exception

## getPage

protected TPage getPage | ()

Output
TPage | the page containing the attached control.
Exception

## setEnableUpdate

public void setEnableUpdate | (boolean $value )

Input
boolean | $value | true to allow fine grain callback updates.
Output
Exception

## setOption

protected mixed setOption | (string $name , mixed $value , mixed $default )

Sets a named options with a value. Options are used to store and retrive named values for the base active controls.

Input
string | $name | option name.
mixed | $value | new value.
mixed | $default | default value.
Output
mixed | options value.
Exception